Skip to content

Get report details

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/reports/{report_id}

Get report details with payload sections. Permissions: report:read

report_id
required
Report Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Examples

Report detail response

{
"id": "f29ac55b-bf47-422f-a82b-c488b90e31f3",
"report_name": "VAT Monthly Jan 2026",
"report_type": "MONTHLY_VAT",
"period_start": "2026-01-01",
"period_end": "2026-01-31",
"status": "COMPLETED",
"generated_at": "2026-02-11T12:05:00Z",
"download_url": "https://api.getzutax.com/reports/f29ac55b/download"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}